<!DOCTYPE html>
<html>
  <head>
    <title>Bootstrap template- Pizza 365 project</title>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />

    <!-- font -->
    <link
      rel="stylesheet"
      href="https://fonts.googleapis.com/css?family=Lato"
    />
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css"
    />
    <script src="./main.js"></script>

    <!-- Bootstrap -->
    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
    />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  </head>
  <body onload="onPageLoadDrink()">
    <!-- Menu -->
    <div class="container-fluid bg-light">
      <div class="row">
        <div class="col-sm-12">
          <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">
            <button
              class="navbar-toggler"
              type="button"
              data-toggle="collapse"
              data-target="#navbarNav"
              aria-controls="navbarNav"
              aria-expanded="false"
              aria-label="Toggle navigation"
            >
              <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
              <ul class="navbar-nav nav-fill w-100">
                <li class="nav-item active">
                  <a class="nav-link" href="#">Home</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="#plans">Plans</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="#about">About</a>
                </li>
                <li class="nav-item">
                  <!-- đổi thành dạng click để dễ xử lý-->
                  <button
                    id="btn-detail"
                    class="btn"
                    onclick="onNavOrderDetailClick()"
                  >
                    Order Detail
                  </button>
                </li>
              </ul>
            </div>
          </nav>
        </div>
      </div>
    </div>

    <!-- Content -->
    <div class="container" style="padding: 120px 0 50px 0">
      <div class="row">
        <div class="col-sm-12">
          <div class="row">
            <!-- Title row home -->
            <div class="col-sm-12">
              <h1><b>Pizza 365 Truly italian ! </b></h1>
            </div>

            <!-- Slide row home -->
            <div class="col-sm-12">
              <div
                id="carouselExampleIndicators"
                class="carousel slide"
                data-ride="carousel"
              >
                <ol class="carousel-indicators">
                  <li
                    data-target="#carouselExampleIndicators"
                    data-slide-to="0"
                    class="active"
                  ></li>
                  <li
                    data-target="#carouselExampleIndicators"
                    data-slide-to="1"
                  ></li>
                  <li
                    data-target="#carouselExampleIndicators"
                    data-slide-to="2"
                  ></li>
                  <li
                    data-target="#carouselExampleIndicators"
                    data-slide-to="3"
                  ></li>
                  <li
                    data-target="#carouselExampleIndicators"
                    data-slide-to="4"
                  ></li>
                </ol>
                <div class="carousel-inner">
                  <div class="carousel-item active">
                    <img
                      class="d-block w-100"
                      src="./images/mon_y_1.jpg"
                      alt="First slide"
                    />
                  </div>
                  <div class="carousel-item">
                    <img
                      class="d-block w-100"
                      src="./images/mon_y_2.jpg"
                      alt="Second slide"
                    />
                  </div>
                  <div class="carousel-item">
                    <img
                      class="d-block w-100"
                      src="./images/mon_y_3.jpg"
                      alt="Third slide"
                    />
                  </div>
                  <!--  them vao-->
                  <div class="carousel-item">
                    <img
                      class="d-block w-100"
                      src="./images/mon_y_4.jpg"
                      alt="Forth slide"
                    />
                  </div>
                  <div class="carousel-item">
                    <img
                      class="d-block w-100"
                      src="./images/mon_y_5.jpg"
                      alt="Forth slide"
                    />
                  </div>
                </div>
                <a
                  class="carousel-control-prev"
                  href="#carouselExampleIndicators"
                  role="button"
                  data-slide="prev"
                >
                  <span
                    class="carousel-control-prev-icon"
                    aria-hidden="true"
                  ></span>
                  <span class="sr-only">Previous</span>
                </a>
                <a
                  class="carousel-control-next"
                  href="#carouselExampleIndicators"
                  role="button"
                  data-slide="next"
                >
                  <span
                    class="carousel-control-next-icon"
                    aria-hidden="true"
                  ></span>
                  <span class="sr-only">Next</span>
                </a>
              </div>
            </div>

            <!-- Title what we offer -->
            <div class="col-sm-12 text-center p-4 mt-4">
              <h2><b class="p-2 border-bottom">Tại sao lại Pizza365</b></h2>
            </div>

            <!-- Content what we offer -->
            <div class="col-sm-12">
              <div class="row">
                <div class="col-sm-3 p-4 bg-warning text-white border">
                  <h3 class="p-2">Không ngừng cải tiến</h3>
                  <p class="p-2">
                    Cải tiến sản phẩm, chất lượng và trải nghiệm khách hàng luôn
                    là yếu tố tiên quyết trong chiến lược kinh doanh của chúng
                    tôi nhằm thúc đẩy tăng trưởng và trở thành thương hiệu pizza
                    hàng đầu.
                  </p>
                </div>
                <div class="col-sm-3 p-4 bg-success text-white border">
                  <h3 class="p-2">Trải ngiệm dễ dàng</h3>
                  <p class="p-2">
                    Chúng tôi đơn giản hướng đến việc trở thành thương hiệu của
                    mọi nhà, mọi lúc, mọi nơi.
                  </p>
                </div>
                <div class="col-sm-3 p-4 bg-primary text-white border">
                  <h3 class="p-2">hướng đến sự vượt trội</h3>
                  <p class="p-2">
                    "Vượt trội" không chỉ là một khái niệm lớn. Thay vào đó, giá
                    trị này là cốt lõi trong mỗi con người của chúng tôi, trong
                    mỗi công việc mà họ làm.
                  </p>
                </div>
                <div class="col-sm-3 p-4 bg-info text-white border">
                  <h3 class="p-2">Thể hiện đam mê</h3>
                  <p class="p-2">
                    Chúng tôi sẵn lòng hỗ trợ vô điều kiện và linh động điều
                    chỉnh tùy theo thử thách để tìm ra giải pháp.
                  </p>
                </div>
              </div>
            </div>
          </div>

          <div id="plans" class="row">
            <!-- Title what we offer -->
            <div class="col-sm-12 text-center p-4 mt-4">
              <h2><b class="p-1 border-bottom">Menu Combo Pizza 365</b></h2>
              <p>
                <span class="p-2">Hãy chọn cỡ pizza phù hợp với bạn!</span>
              </p>
            </div>
            <!-- Content what we offer -->
            <div class="col-sm-12">
              <div class="row">
                <div class="col-sm-4">
                  <div class="card">
                    <div class="card-header bg-warning text-white text-center">
                      <h3>Size S</h3>
                    </div>
                    <div class="card-body text-center">
                      <ul class="list-group list-group-flush">
                        <li class="list-group-item">Đường kính <b>20cm</b></li>
                        <li class="list-group-item">Sườn nướng <b>2</b></li>
                        <li class="list-group-item">Salad <b>200g </b></li>
                        <li class="list-group-item">Nước ngọt <b>2</b></li>
                        <li class="list-group-item">
                          <h1><b>VND 150000</b></h1>
                        </li>
                      </ul>
                    </div>
                    <div class="card-footer text-center">
                      <button
                        class="btn btn-success"
                        data-is-selected-menu="N"
                        id="btn-s"
                        onclick="onBtnSClick()"
                      >
                        Chọn
                      </button>
                    </div>
                  </div>
                </div>
                <div class="col-sm-4">
                  <div class="card">
                    <div class="card-header bg-primary text-white text-center">
                      <h3>Size M</h3>
                    </div>
                    <div class="card-body text-center">
                      <ul class="list-group list-group-flush">
                        <li class="list-group-item">Đường kính <b>25cm</b></li>
                        <li class="list-group-item">Sườn nướng <b>4</b></li>
                        <li class="list-group-item">Salad <b>300g </b></li>
                        <li class="list-group-item">Nước ngọt <b>3</b></li>
                        <li class="list-group-item">
                          <h1><b>VND 200000</b></h1>
                        </li>
                      </ul>
                    </div>
                    <div class="card-footer text-center">
                      <button
                        class="btn btn-warning"
                        data-is-selected-menu="N"
                        id="btn-m"
                        onclick="onBtnMClick()"
                      >
                        Chọn
                      </button>
                    </div>
                  </div>
                </div>
                <div class="col-sm-4">
                  <div class="card">
                    <div class="card-header bg-success text-white text-center">
                      <h3>Size L</h3>
                    </div>
                    <div class="card-body text-center">
                      <ul class="list-group list-group-flush">
                        <li class="list-group-item">Đường kính <b>30cm</b></li>
                        <li class="list-group-item">Sườn nướng <b>8</b></li>
                        <li class="list-group-item">Salad <b>500g </b></li>
                        <li class="list-group-item">Nước ngọt <b>4</b></li>
                        <li class="list-group-item">
                          <h1><b>VND 250000</b></h1>
                        </li>
                      </ul>
                    </div>
                    <div class="card-footer text-center">
                      <button
                        class="btn btn-success"
                        data-is-selected-menu="N"
                        id="btn-l"
                        onclick="onBtnLClick()"
                      >
                        Chọn
                      </button>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>

          <div id="about" class="row">
            <!-- Title Who We Are -->
            <div class="col-sm-12 text-center p-4 mt-4">
              <h2><b class="p-2 border-bottom">Chọn loại pizza</b></h2>
            </div>

            <!-- Content Who We Are -->
            <div class="col-sm-12">
              <div class="row">
                <div class="col-sm-4">
                  <div class="card w-100" style="width: 18rem">
                    <img src="images/pizza_type_1.jpg" class="card-img-top" />
                    <div class="card-body text-center">
                      <h3>Pizza Gà</h3>
                      <p>Món ăn phổ biến</p>
                      <p>
                        Sự kết hợp hoàn hảo với một nguyên liệu truyền thống như
                        Gà sẽ mang đến cho bạn một hương vị đặc biệt khó quên
                      </p>
                      <p>
                        <button
                          class="btn btn-info w-100"
                          data-is-selected-pizza="N"
                          onclick="onBtnGaClick()"
                          id="btn-ga"
                        >
                          Chọn
                        </button>
                      </p>
                    </div>
                  </div>
                </div>
                <div class="col-sm-4">
                  <div class="card w-100" style="width: 18rem">
                    <img src="images/pizza_type_2.jpg" class="card-img-top" />
                    <div class="card-body text-center">
                      <h3>Pizza Hải Sản</h3>
                      <p>Món ăn đến từ biênr khơi</p>
                      <p>
                        Với nhiều gu lựa chọn đến từ đại dương sẽ khiến cho bạn
                        như đang hòa quyện trong biển cả.
                      </p>
                      <p>
                        <button
                          class="btn btn-info w-100"
                          data-is-selected-pizza="N"
                          onclick="onBtnHaiSanClick()"
                          id="btn-hai-san"
                        >
                          Chọn
                        </button>
                      </p>
                    </div>
                  </div>
                </div>
                <div class="col-sm-4">
                  <div class="card w-100" style="width: 18rem">
                    <img src="images/pizza_type_3.jpg" class="card-img-top" />
                    <div class="card-body text-center">
                      <h3>Pizza Thịt Nướng</h3>
                      <p>Món ăn được chế biến từ thịt heo rừng</p>
                      <p>
                        Thịt heo rừng món ăn không quá lạ ,cũng không quá quen
                        sẽ mang đến cho bạn cho bạn một trải nghiệm vô cùng thú
                        vị.
                      </p>
                      <p>
                        <button
                          class="btn btn-info w-100"
                          data-is-selected-pizza="N"
                          onclick="onBtnThitNuongClick()"
                          id="btn-thit-nuong"
                        >
                          Chọn
                        </button>
                      </p>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>

          <!-- chọn đồ uống -->
          <div id="" class="row mt-3">
            <div class="col-sm-12">
              <h3>Chọn đồ uống yêu thích của bạn</h3>
              <select name="" id="select-drink" class="form-control mt-2">
                <option value="">Chọn nước uống</option>
              </select>
            </div>
          </div>

          <div id="contact" class="row">
            <!-- Title Contact Us -->
            <div class="col-sm-12 text-center p-4 mt-4">
              <h2><b class="p-2 border-bottom">Contact Us</b></h2>
            </div>

            <!-- Content Contact Us -->
            <div class="col-sm-12">
              <div class="row">
                <div class="col-sm-12">
                  <div class="form-group">
                    <label for="fullname">Họ và tên</label>
                    <input
                      type="text"
                      class="form-control"
                      id="inp-fullname"
                      placeholder="Họ và tên"
                    />
                  </div>
                  <div class="form-group">
                    <label for="email">Email</label>
                    <input
                      type="text"
                      class="form-control"
                      id="inp-email"
                      placeholder="Email"
                    />
                  </div>
                  <div class="form-group">
                    <label for="dien-thoai">Điện thoại</label>
                    <input
                      type="text"
                      class="form-control"
                      id="inp-dien-thoai"
                      placeholder="Điện thoại"
                    />
                  </div>
                  <div class="form-group">
                    <label for="dia-chi">Địa chỉ</label>
                    <input
                      type="text"
                      class="form-control"
                      id="inp-dia-chi"
                      placeholder="Địa chỉ"
                    />
                  </div>
                  <div class="form-group">
                    <label for="message">Lời nhắn</label>
                    <input
                      type="text"
                      class="form-control"
                      id="inp-message"
                      placeholder="Lời nhắn"
                    />
                  </div>
                  <div class="form-group">
                    <label for="message">Mã giảm giá</label>
                    <input
                      type="text"
                      class="form-control"
                      id="inp-voucher-id"
                      placeholder="mã giảm giá"
                    />
                  </div>
                  <button
                    type="button"
                    onclick="onBtnSendDonHang()"
                    class="btn btn-dark w-100"
                  >
                    Send (Gửi đơn)
                  </button>
                </div>
              </div>
            </div>
          </div>
          <div
            class="row bg-warning mt-3"
            id="div-show-don-hang"
            style="display: none"
          >
            <div class="col-sm-12">
              <p id="p-text" class="p-text text-white p-3"></p>
            </div>
            <div class="col-sm-12 p-3">
              <button class="btn btn-info w-100">Gửi Đơn</button>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- Footer -->
    <div class="container-fluid bg-light p-5">
      <div class="row text-center">
        <div class="col-sm-12">
          <h4 class="m-2">Footer</h4>
          <a href="#" class="btn btn-dark m-3"
            ><i class="fa fa-arrow-up"></i>To the top</a
          >
          <div class="m-2">
            <i class="fa fa-facebook-official w3-hover-opacity"></i>
            <i class="fa fa-instagram w3-hover-opacity"></i>
            <i class="fa fa-snapchat w3-hover-opacity"></i>
            <i class="fa fa-pinterest-p w3-hover-opacity"></i>
            <i class="fa fa-twitter w3-hover-opacity"></i>
            <i class="fa fa-linkedin w3-hover-opacity"></i>
          </div>
        </div>
      </div>
    </div>
  </body>

  <!-- <script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gCOMBO_SMALL = "S";
    const gCOMBO_MEDIUM = "M";
    const gCOMBO_LARGE = "L";
    const gLOAI_GA = "Gà";
    const gLOAI_HAI_SAN = "Hải sản";
    const gLOAI_THIT_NUONG = "Thịt nướng";
    const gBASE_URL_DRINK =
      "http://203.171.20.210:8080/devcamp-pizza365/drinks";
    const gBASE_URL_VOURCHER =
      "http://203.171.20.210:8080/devcamp-pizza365/voucher_detail";
    const gBASE_URL_CREATE =
      "http://203.171.20.210:8080/devcamp-pizza365/orders";
    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
    const gREQUEST_CREATE_SUCCESS = 201; // status 201 - tạo thành công

    /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
    function onNavOrderDetailClick() {
      console.log("%cGọi chi tiết order ở đây", "color:blue");
    }
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    // chon size
    function onBtnSClick() {
      getCombo("S", "20cm", "2", "200g", "2", 150000);
      changeColorMenu("S");
    }
    // chon size
    function onBtnMClick() {
      getCombo("M", "25cm", "4", "300g", "3", 200000);
      changeColorMenu("M");
    }
    // chon size
    function onBtnLClick() {
      getCombo("L", "30cm", "8", "500g", "4", 250000);
      changeColorMenu("L");
    }
    // chọn loại pizza
    function onBtnGaClick() {
      console.log("%c Loại pizza bạn chọn : pizza Gà", "color:red");
      changeColorLoaiPizza(gLOAI_GA);
    }
    // chọn loại pizza
    function onBtnGaClick() {
      console.log("%c Loại pizza bạn chọn : pizza Gà", "color:red");
      changeColorLoaiPizza(gLOAI_GA);
    }
    // chọn loại pizza
    function onBtnHaiSanClick() {
      console.log("%c Loại pizza bạn chọn : pizza Hải sản", "color:red");
      changeColorLoaiPizza(gLOAI_HAI_SAN);
    }
    // chọn loại pizza
    function onBtnThitNuongClick() {
      console.log("%c Loại pizza bạn chọn : pizza Thịt nướng", "color:red");
      changeColorLoaiPizza(gLOAI_THIT_NUONG);
    }
    // load dữ liệu nước uống
    function onPageLoadDrink() {
      var vXmlHttp = new XMLHttpRequest();
      goiApiDeLayDrink(vXmlHttp);
      vXmlHttp.onreadystatechange = function () {
        if (
          vXmlHttp.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK &&
          vXmlHttp.status == gREQUEST_STATUS_OK
        ) {
          hienThiThongTinDrink(vXmlHttp);
          console.log(vXmlHttp.responseText);
        }
      };
    }

    // send đơn hàng
    function onBtnSendDonHang() {
      var vDonHangObj = {
        kichCo: "",
        suon: "",
        salad: "",
        duongKinh: "",
        soLuongNuoc: "",
        priceVND: "",
        loaiPizza: "",
        hoTen: "",
        email: "",
        soDienThoai: "",
        diaChi: "",
        loiNhan: "",
        idVourcher: "",
        idLoaiNuocUong: "",
        donGiaNuoc: 0,
        thanhTien: 0,
        phanTramGiamGia: 0,

        priceAnnualVND: function () {
          if (this.phanTramGiamGia == 0) {
            this.thanhTien = this.priceVND;
            return this.thanhTien;
          } else {
            return (this.thanhTien =
              this.priceVND * (1 - this.phanTramGiamGia / 100));
          }
        },
      };
      thuThapThongTinDonHang(vDonHangObj);

      var vCheck = kiemTraThongTinDonHang(vDonHangObj);
      if (vCheck) {
        var vXmlHttp = new XMLHttpRequest();
        goiApiDeCheckIdVourcher(vDonHangObj, vXmlHttp);

        if (vXmlHttp.status == gREQUEST_STATUS_OK) {
          layPhanTramGiamGia(vDonHangObj, vXmlHttp);
          console.log(vXmlHttp.responseText);
        } else {
          alert("không có phần trăm giảm giá");
        }

        goiApiCreateOrder(vDonHangObj, vXmlHttp);
        vXmlHttp.onreadystatechange = function () {
          if (
            vXmlHttp.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK &&
            vXmlHttp.status == gREQUEST_CREATE_SUCCESS
          ) {
            console.log(vXmlHttp.responseText);
            hienThiThongTinDonHang(vDonHangObj, vXmlHttp);
          }
        };
      }
    }

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function getCombo(
      paramKichCo,
      paramDuongKinh,
      paramSuonNuong,
      paramSalad,
      paramDrink,
      paramPriceVND
    ) {
      var vComboObj = {
        kichCo: paramKichCo,
        duongKinh: paramDuongKinh,
        suon: paramSuonNuong,
        salad: paramSalad,
        soLuongNuoc: paramDrink,
        priceVND: paramPriceVND,
        displayInConsoleLog: function () {
          console.log("%c combo bạn chọn : " + paramKichCo, "color:red");
          console.log("Kích cỡ : " + paramKichCo);
          console.log("Đường kính : " + paramDuongKinh);
          console.log("sườn nướng : " + paramSuonNuong);
          console.log("Salad : " + paramSalad);
          console.log("Drink : " + paramDrink);
          console.log("Price VND : " + paramPriceVND);
        },
      };

      return vComboObj;
    }
    // đổi màu nút chọn
    function changeColorMenu(paramSize) {
      var vBtnS = document.getElementById("btn-s");
      var vBtnM = document.getElementById("btn-m");
      var vBtnL = document.getElementById("btn-l");

      if (paramSize == gCOMBO_SMALL) {
        vBtnS.setAttribute("data-is-selected-menu", "Y");
        vBtnS.className = "btn btn-warning";

        vBtnM.setAttribute("data-is-selected-menu", "N");
        vBtnM.className = "btn btn-success";

        vBtnL.setAttribute("data-is-selected-menu", "N");
        vBtnL.className = "btn btn-success";
      } else if (paramSize == gCOMBO_MEDIUM) {
        vBtnS.setAttribute("data-is-selected-menu", "N");
        vBtnS.className = "btn btn-success";

        vBtnM.setAttribute("data-is-selected-menu", "Y");
        vBtnM.className = "btn btn-warning";

        vBtnL.setAttribute("data-is-selected-menu", "N");
        vBtnL.className = "btn btn-success";
      } else if (paramSize == gCOMBO_LARGE) {
        vBtnS.setAttribute("data-is-selected-menu", "N");
        vBtnS.className = "btn btn-success";

        vBtnM.setAttribute("data-is-selected-menu", "N");
        vBtnM.className = "btn btn-success";

        vBtnL.setAttribute("data-is-selected-menu", "Y");
        vBtnL.className = "btn btn-warning";
      }
    }
    // đổi màu loại pizza
    function changeColorLoaiPizza(paramPizza) {
      var vBtnGa = document.getElementById("btn-ga");
      var vBntHaiSan = document.getElementById("btn-hai-san");
      var vBtnThitNuong = document.getElementById("btn-thit-nuong");
      if (paramPizza == gLOAI_GA) {
        vBtnGa.setAttribute("data-is-selected-pizza", "Y");
        vBtnGa.className = "btn btn-warning w-100";

        vBntHaiSan.setAttribute("data-is-selected-pizza", "N");
        vBntHaiSan.className = "btn btn-success w-100";

        vBtnThitNuong.setAttribute("data-is-selected-pizza", "N");
        vBtnThitNuong.className = "btn btn-success w-100";
      } else if (paramPizza == gLOAI_HAI_SAN) {
        vBtnGa.setAttribute("data-is-selected-pizza", "N");
        vBtnGa.className = "btn btn-success w-100";

        vBntHaiSan.setAttribute("data-is-selected-pizza", "Y");
        vBntHaiSan.className = "btn btn-warning w-100";

        vBtnThitNuong.setAttribute("data-is-selected-pizza", "N");
        vBtnThitNuong.className = "btn btn-success w-100";
      } else if (paramPizza == gLOAI_THIT_NUONG) {
        vBtnGa.setAttribute("data-is-selected-pizza", "N");
        vBtnGa.className = "btn btn-success w-100";

        vBntHaiSan.setAttribute("data-is-selected-pizza", "N");
        vBntHaiSan.className = "btn btn-success w-100";

        vBtnThitNuong.setAttribute("data-is-selected-pizza", "Y");
        vBtnThitNuong.className = "btn btn-warning w-100";
      }
    }
    // api gọi đồ uống
    function goiApiDeLayDrink(paramXmlHttp) {
      paramXmlHttp.open("GET", gBASE_URL_DRINK, true);
      paramXmlHttp.send();
    }

    // hiển thị thông tin nước uống từ api
    function hienThiThongTinDrink(paramXmlHttp) {
      var vSelectDrink = document.getElementById("select-drink");
      var vObjDrink = JSON.parse(paramXmlHttp.responseText);
      for (var bI = 0; bI < vObjDrink.length; bI++) {
        var vOptionDrink = document.createElement("option");
        vOptionDrink.value = vObjDrink[bI].maNuocUong;
        vOptionDrink.text = vObjDrink[bI].tenNuocUong;
        vSelectDrink.appendChild(vOptionDrink);
      }
    }
    // gọi api để check mã giảm giá
    function goiApiDeCheckIdVourcher(paramDonHangObj, paramXmlHttp) {
      paramXmlHttp.open(
        "GET",
        gBASE_URL_VOURCHER + "/" + paramDonHangObj.idVourcher,
        false
      );
      paramXmlHttp.send();
    }
    // gọi api để gửi đơn hàng
    function goiApiCreateOrder(paramOrderObj, paramXmlHttp) {
      var vJsonData = JSON.stringify(paramOrderObj);
      paramXmlHttp.open("POST", gBASE_URL_CREATE, true);
      paramXmlHttp.setRequestHeader(
        "Content-Type",
        "application/json;charset=UTF-8"
      );
      paramXmlHttp.send(vJsonData);
    }
    // lấy phần trăm giảm giá
    function layPhanTramGiamGia(paramDonHangObj, paramXmlHttp) {
      var vObjVoucher = JSON.parse(paramXmlHttp.responseText);
      paramDonHangObj.phanTramGiamGia = vObjVoucher.phanTramGiamGia;
    }
    // thu thập thông tin đơn hàng
    function thuThapThongTinDonHang(paramDonHangObj) {
      var vInputHoTen = document.getElementById("inp-fullname");
      var vInputEmail = document.getElementById("inp-email");
      var vInpuDiaChi = document.getElementById("inp-dia-chi");
      var vInputSoDienThoai = document.getElementById("inp-dien-thoai");
      var vInputLoiNhan = document.getElementById("inp-message");
      var vInputMaGiamGia = document.getElementById("inp-voucher-id");

      paramDonHangObj.hoTen = vInputHoTen.value.trim();
      paramDonHangObj.email = vInputEmail.value.trim();
      paramDonHangObj.diaChi = vInpuDiaChi.value.trim();
      paramDonHangObj.soDienThoai = vInputSoDienThoai.value.trim();
      paramDonHangObj.loiNhan = vInputLoiNhan.value.trim();
      paramDonHangObj.idVourcher = vInputMaGiamGia.value.trim();

      var vSelectDrink = document.getElementById("select-drink");
      var vOptionDrink = vSelectDrink.options[vSelectDrink.selectedIndex].text;
      paramDonHangObj.idLoaiNuocUong = vOptionDrink;

      var vBtnS = document.getElementById("btn-s");
      var vBtnM = document.getElementById("btn-m");
      var vBtnL = document.getElementById("btn-l");
      var vBtnGa = document.getElementById("btn-ga");
      var vBntHaiSan = document.getElementById("btn-hai-san");
      var vBtnThitNuong = document.getElementById("btn-thit-nuong");
      if (vBtnS.getAttribute("data-is-selected-menu") == "Y") {
        paramDonHangObj.kichCo = "S";
        paramDonHangObj.suon = "2";
        paramDonHangObj.salad = "200g";
        paramDonHangObj.duongKinh = "20cm";
        paramDonHangObj.priceVND = 150000;
        paramDonHangObj.soLuongNuoc = "2";
      } else if (vBtnM.getAttribute("data-is-selected-menu") == "Y") {
        paramDonHangObj.kichCo = "M";
        paramDonHangObj.suon = "4";
        paramDonHangObj.salad = "300g";
        paramDonHangObj.duongKinh = "25cm";
        paramDonHangObj.priceVND = 200000;
        paramDonHangObj.soLuongNuoc = "3";
      } else if (vBtnL.getAttribute("data-is-selected-menu") == "Y") {
        paramDonHangObj.kichCo = "L";
        paramDonHangObj.suon = "8";
        paramDonHangObj.salad = "500g";
        paramDonHangObj.duongKinh = "30cm";
        paramDonHangObj.priceVND = 250000;
        paramDonHangObj.soLuongNuoc = "4";
      }

      if (vBtnGa.getAttribute("data-is-selected-pizza") == "Y") {
        paramDonHangObj.loaiPizza = "Pizza Gà";
      } else if (vBntHaiSan.getAttribute("data-is-selected-pizza") == "Y") {
        paramDonHangObj.loaiPizza = "Pizza Hải Sản";
        // paramDonHangObj.vLoaiPizza == "Pizza Hải sản";
      } else if (vBtnThitNuong.getAttribute("data-is-selected-pizza") == "Y") {
        // paramDonHangObj.vLoaiPizza == "Pizza Thịt nướng";
        paramDonHangObj.loaiPizza = "Pizza thịt nướng";
      }
    }
    // kiểm tra thông tin hợp lệ
    function kiemTraThongTinDonHang(paramDonHangObj) {
      if (
        paramDonHangObj.hoTen == "" ||
        paramDonHangObj.soDienThoai == "" ||
        paramDonHangObj.diaChi == ""
      ) {
        alert("Các trường không được bỏ trống!");
        return false;
      } else if (checkEmail(paramDonHangObj.email) == false) {
        return false;
      } else if (paramDonHangObj.kichCo == "") {
        alert("Phải chọn menu");
        return false;
      } else if (paramDonHangObj.loaiPizza == "") {
        alert("Phải chọn loại pizza");
        return false;
      } else if (paramDonHangObj.idLoaiNuocUong == "Chọn nước uống") {
        alert("chọn nước uống");
        return false;
      }
      return true;
    }
    // kiểm tra email hợp lệ
    function checkEmail(paramEmail) {
      var filter =
        /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
      if (!filter.test(paramEmail)) {
        alert("Hay nhap dia chi email hop le.\nExample@gmail.com");
        email.focus;
        return false;
      } else {
        alert("Email nay hop le.");
      }
    }
    // hiển thị thông tin
    function hienThiThongTinDonHang(paramDonHangObj, paramXmlHttp) {
      var vObjOrder = JSON.parse(paramXmlHttp.responseText);
      var vDivShow = document.getElementById("div-show-don-hang");
      var vPText = document.getElementById("p-text");
      vDivShow.style.display = "block";
      vPText.innerHTML =
        "Cảm ơn bạn đã đặt hàng tại Pizza 365." +
        "</br>" +
        "Mã đơn hàng của bạn là: " +
        vObjOrder.orderCode;
    }
  </script> -->
</html>
